Products Endpoint

For full field documentation, see the Product entity.

Products are read-only via the API - they must be configured in the FFF admin interface.

Endpoints

List Products

GET /api/f1/sync/products

Returns a list of all products for your dropzone.

Response

{
  "version": "1.0.0",
  "products": [
    {
      "id": 1,
      "name": "Video & Photos Package",
      "active": true,
      "booking_system_name": "video_photos",
      "price_cents": 15000,
      "photos": true,
      "videographer": true
    }
  ]
}

(some fields omitted for brevity)

Get Product

GET /api/f1/sync/products/:id

Retrieves a specific product by ID.

Response

{
  "id": 1,
  "name": "Video & Photos Package",
  "active": true,
  "booking_system_name": "video_photos",
  "price_cents": 15000,
  "photos": true,
  "selfie": false,
  "videographer": true,
  "either_video": false,
  "socials": true,
  "has_4k": false,
  "raw_footage": false
}

(some fields omitted for brevity - see Product entity for full field list)

Notes

  • Products are matched to bookings using the booking_system_name field
  • The booking_system_name matching is case-insensitive and matches by prefix